## XfceMenuItemCache

XfceMenuItemCache

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuItemCachePrivate;
                        XfceMenuItemCacheClass;
                        XfceMenuItemCache;
    XfceMenuItemCache * xfce_menu_item_cache_get_default    (void);
    XfceMenuItem *      xfce_menu_item_cache_lookup         (XfceMenuItemCache *cache,
                                                             const gchar *filename,
                                                             const gchar *desktop_id);
    void                xfce_menu_item_cache_foreach        (XfceMenuItemCache *cache,
                                                             GHFunc func,
                                                             gpointer user_data);

## Object Hierarchy

      GObject
       +----XfceMenuItemCache

## Description

## Details

### XfceMenuItemCachePrivate

    typedef struct _XfceMenuItemCachePrivate XfceMenuItemCachePrivate;

### XfceMenuItemCacheClass

    typedef struct _XfceMenuItemCacheClass XfceMenuItemCacheClass;

### XfceMenuItemCache

    typedef struct _XfceMenuItemCache XfceMenuItemCache;

### xfce_menu_item_cache_get_default ()

    XfceMenuItemCache * xfce_menu_item_cache_get_default    (void);

Returns : |

### xfce_menu_item_cache_lookup ()

    XfceMenuItem *      xfce_menu_item_cache_lookup         (XfceMenuItemCache *cache,
                                                             const gchar *filename,
                                                             const gchar *desktop_id);

`cache` : |
`filename` : |
`desktop_id` : |
Returns : |

### xfce_menu_item_cache_foreach ()

    void                xfce_menu_item_cache_foreach        (XfceMenuItemCache *cache,
                                                             GHFunc func,
                                                             gpointer user_data);

`cache` : |
`func` : |
`user_data` : |